## ros-lunar-plotjuggler 2.1.10

=== CMakeLists.txt ===
project(plotjuggler)
cmake_minimum_required(VERSION 2.8)

# http://answers.ros.org/question/230877/optionally-build-a-package-with-catkin/
if( CATKIN_DEVEL_PREFIX OR catkin_FOUND OR CATKIN_BUILD_BINARY_PACKAGE)
    set(COMPILING_WITH_CATKIN 1)
endif()

cmake_policy (SET CMP0020 NEW)

add_definitions(
    -DPJ_MAJOR_VERSION=2
    -DPJ_MINOR_VERSION=1
    -DPJ_PATCH_VERSION=10 )

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
SET(CMAKE_AUTOUIC ON)

if(NOT CMAKE_VERSION VERSION_LESS 3.1)
    set(CMAKE_CXX_STANDARD 11)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

if (NOT WIN32)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fno-omit-frame-pointer")
endif()

if(APPLE AND EXISTS /usr/local/opt/qt5)
    # Homebrew installs Qt5 (up to at least 5.9.1) in
    # /usr/local/qt5, ensure it can be found by CMake since
    # it is not in the default /usr/local prefix.
    # source: https://github.com/Homebrew/homebrew-core/issues/8392#issuecomment-325226494
    list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/qt5")
    set(CMAKE_MACOSX_RPATH 1)
endif()


find_package(Qt5 REQUIRED COMPONENTS Core Widgets Multimedia MultimediaWidgets PrintSupport Concurrent Xml Qml)
find_package(Qt5 QUIET COMPONENTS WebSockets)

set( QT_LINK_LIBRARIES
    Qt5::Core
    Qt5::Widgets
    Qt5::PrintSupport
    Qt5::Xml
    Qt5::Concurrent
    Qt5::Qml
    Qt5::Multimedia
    Qt5::MultimediaWidgets
    )

add_definitions( -DQWT_NO_SVG )


if( NOT Qt5WebSockets_FOUND)
    message(STATUS "Can't find Qt5WebSockets in your system. Have you tried [sudo apt-get install libqt5websockets5-dev] ?")
    add_definitions( -DQWT_NO_SVG )
else()
    set( QT_LINK_LIBRARIES ${QT_LINK_LIBRARIES} Qt5::WebSockets)
endif()

if (NOT CMAKE_BUILD_TYPE)
    message(STATUS "No build type selected, default to RelWithDebInfo")
    set(CMAKE_BUILD_TYPE "RelWithDebInfo")
endif()

if(COMPILING_WITH_CATKIN)
    message(STATUS "---------------------------------------------------------------------")
    message(STATUS "PlotJuggler is being built using CATKIN. ROS plugins will be compiled")
    message(STATUS "---------------------------------------------------------------------")

    set(ROS_DEPENDENCIES
        rosbag
        rosbag_storage
        roscpp
        roscpp_serialization
        ros_type_introspection
        rostime
        topic_tools
        tf
    )

    find_package(catkin REQUIRED COMPONENTS ${ROS_DEPENDENCIES} )

    catkin_package(
        INCLUDE_DIRS include
        CATKIN_DEPENDS ${ROS_DEPENDENCIES}
        DEPENDS
        )

    INCLUDE_DIRECTORIES( ${catkin_INCLUDE_DIRS} )
endif()



IF (NOT WIN32)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fPIC")
ENDIF()


include_directories(
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5Gui_INCLUDE_DIRS}
    ${Qt5Widgets_INCLUDE_DIRS}
    ${Qt5Concurrent_INCLUDE_DIRS}
    ${Qt5PrintSupport_INCLUDE_DIRS}
    ${Qt5Xml_INCLUDE_DIRS}
    ${Qt5WebSockets_INCLUDE_DIRS}
    ${Qt5Multimedia_INCLUDE_DIRS}
    ${Qt5MultimediaWidgets_INCLUDE_DIRS}
    ./qwt/src
    ./include
    ./color_widgets/include
)

#########################  INSTALL ####################################

if(COMPILING_WITH_CATKIN)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION})
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION})
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION})

    INSTALL( FILES ${CMAKE_CURRENT_SOURCE_DIR}/plotjuggler-icon.png
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
    INSTALL( FILES ${CMAKE_CURRENT_SOURCE_DIR}/PlotJuggler.desktop
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

    INSTALL( FILES ${CMAKE_CURRENT_SOURCE_DIR}/plotjuggler-icon.png
        DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION})
    INSTALL( FILES ${CMAKE_CURRENT_SOURCE_DIR}/PlotJuggler.desktop
        DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION})

else()
    set(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

    INSTALL( FILES ${CMAKE_CURRENT_SOURCE_DIR}/plotjuggler-icon.png
                         DESTINATION share/icons/hicolor/128x128)
    INSTALL( FILES ${CMAKE_CURRENT_SOURCE_DIR}/PlotJuggler.desktop
                         DESTINATION share/applications)
endif()

#############################################################

add_subdirectory( backward-cpp )
add_subdirectory( color_widgets )
add_subdirectory( qwt/src )
add_subdirectory( plotter_gui )

add_subdirectory( plugins/DataLoadCSV )
add_subdirectory( plugins/DataLoadULog )
add_subdirectory( plugins/DataStreamSample )

if (Qt5Widgets_VERSION VERSION_LESS 5.3.0)
    message(STATUS "Minimum Qt5 version for DataStreamWebSocket plugin is 5.3. Skipping plugins/DataStreamWebSocket")
else()
    if( NOT Qt5WebSockets_FOUND)
        message(STATUS "Qt5WebSockets not found. Skipping plugins/DataStreamWebSocket")
    else()
        add_subdirectory( plugins/DataStreamWebSocket )
    endif()
endif()


if(COMPILING_WITH_CATKIN)
    add_subdirectory( plugins/ROS )
endif()

=== backward-cpp/CMakeLists.txt ===


set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g")

include(FindPackageHandleStandardArgs)

find_path(LIBBFD_INCLUDE_DIR bfd.h
  /opt/local/include
  /usr/local/include
  /usr/include
)

set(LIBBFD_NAMES bfd)

find_library(LIBBFD_LIBRARY
  NAMES ${LIBBFD_NAMES}
  PATHS /usr/lib /usr/local/lib /opt/local/lib
)

if (LIBBFD_INCLUDE_DIR AND LIBBFD_LIBRARY)
   set(LIBBFD_FOUND TRUE)
   set( LIBBFD_LIBRARIES ${LIBBFD_LIBRARY} )
else (LIBBFD_INCLUDE_DIR AND LIBBFD_LIBRARY)
   set(LIBBFD_FOUND FALSE)
   set(LIBBFD_LIBRARIES)
endif (LIBBFD_INCLUDE_DIR AND LIBBFD_LIBRARY)

if (LIBBFD_FOUND)
      message(STATUS "Found BFD: ${LIBBFD_LIBRARY}")
      find_file(BACKWARD_SRC backward.cpp PATHS ${CMAKE_CURRENT_LIST_DIR})
      find_path(BACKWARD_INCLUDE_DIR backward.hpp PATHS ${CMAKE_CURRENT_LIST_DIR})
      set(BACKWARD_LIBS ${CMAKE_DL_LIBS} bfd PARENT_SCOPE )

else (LIBBFD_FOUND)
      message(STATUS "Could NOT find Bfd library named ${LIBBFD_NAMES}.")
endif (LIBBFD_FOUND)

mark_as_advanced(
  LIBBFD_LIBRARY
  LIBBFD_INCLUDE_DIR
)

=== plotter_gui/CMakeLists.txt ===

include_directories( ./ ../  ../include  ../common)

QT5_ADD_RESOURCES (RES_SRC  resource.qrc )

QT5_WRAP_UI ( UI_SRC
    aboutdialog.ui
    axis_limits_dialog.ui
    mainwindow.ui
    removecurvedialog.ui
    curvecolorpick.ui
    filterablelistwidget.ui
    tabbedplotwidget.ui
    support_dialog.ui

    transforms/function_editor.ui
    transforms/transform_selector.ui

    ../common/selectlistdialog.ui
    )

SET( PLOTTER_SRC
    axis_limits_dialog.cpp
    customtracker.cpp
    curvecolorpick.cpp
    filterablelistwidget.cpp
    main.cpp
    mainwindow.cpp
    menubar.cpp
    plotwidget.cpp
    plotmatrix.cpp
    plotmagnifier.cpp
    point_series_xy.cpp
    plotzoomer.cpp
    removecurvedialog.cpp
    subwindow.cpp
    timeseries_qwt.cpp
    tabbedplotwidget.cpp
    tree_completer.h

    transforms/custom_function.cpp
    transforms/custom_timeseries.cpp
    transforms/function_editor.cpp
    transforms/transform_selector.cpp

    cheatsheet/video_cheatsheet.cpp

    utils.cpp

    mainwindow.h
    realslider.h
    utils.h
    ../common/selectlistdialog.h
    ../include/PlotJuggler/plotdata.h
    ../include/PlotJuggler/datastreamer_base.h
    )

add_executable(PlotJuggler ${PLOTTER_SRC} ${RES_SRC} ${UI_SRC} ${BACKWARD_SRC})

target_link_libraries(PlotJuggler
    ${QT_LINK_LIBRARIES}
    colorwidgets
    qwt_static
    ${BACKWARD_LIBS} )

if(COMPILING_WITH_CATKIN)
    install(TARGETS PlotJuggler
       ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
     )
else()
    install(TARGETS PlotJuggler DESTINATION bin  )
endif()

=== plugins/DataLoadULog/CMakeLists.txt ===

include_directories( ./ ../  ../../include  ../../common)

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)

QT5_WRAP_UI ( UI_SRC
    ../../common/selectlistdialog.ui
    ulog_parameters_dialog.ui
    )

SET( SRC
    dataload_ulog.cpp
    ulog_parser.cpp
     ulog_parameters_dialog.cpp
    ../../include/PlotJuggler/dataloader_base.h
    )

add_library(DataLoadULog SHARED ${SRC} ${UI_SRC}  )
target_link_libraries(DataLoadULog  ${Qt5Widgets_LIBRARIES} ${Qt5Xml_LIBRARIES})

if(COMPILING_WITH_CATKIN)
    install(TARGETS DataLoadULog
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} )
else()
    install(TARGETS DataLoadULog DESTINATION bin  )
endif()

=== plugins/DataStreamSample/CMakeLists.txt ===

include_directories( ./ ../  ../../include  ../../common)

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)


#QT5_WRAP_UI ( UI_SRC  ../common/selectlistdialog.ui  )


SET( SRC
    datastream_sample.cpp
    ../../include/PlotJuggler/datastreamer_base.h
    )

add_library(DataStreamSample SHARED ${SRC} ${UI_SRC}  )
target_link_libraries(DataStreamSample  ${Qt5Widgets_LIBRARIES} ${Qt5Xml_LIBRARIES})

if(COMPILING_WITH_CATKIN)
    install(TARGETS DataStreamSample
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} )
else()
    install(TARGETS DataStreamSample DESTINATION bin  )
endif()

=== plugins/ROS/CMakeLists.txt ===

include_directories( ../  ${catkin_INCLUDE_DIRS}  )

# Qt related stuff
set(CMAKE_AUTOMOC ON)
SET(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)



#############
add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)
#############

SET( COMMON_SRC
    rule_editing.h
    rule_editing.cpp
    qnodedialog.h
    qnodedialog.cpp
    dialog_select_ros_topics.h
    dialog_select_ros_topics.cpp
    dialog_with_itemlist.h
    )

QT5_WRAP_UI ( COMMON_UI_SRC
    qnodedialog.ui
    rule_editing.ui
    dialog_select_ros_topics.ui
    dialog_with_itemlist.ui
    )

add_library( commonROS STATIC ${COMMON_SRC} ${COMMON_UI_SRC} )
target_link_libraries( commonROS
  ${Qt5Widgets_LIBRARIES}
  ${Qt5Xml_LIBRARIES}
  ${catkin_LIBRARIES}
  )


#############
SET( DATALOAD_SRC
    DataLoadROS/dataload_ros.cpp
    ../../include/PlotJuggler/dataloader_base.h
    )

add_library( DataLoadROS SHARED ${DATALOAD_SRC}  )
target_link_libraries( DataLoadROS  commonROS)

add_dependencies(DataLoadROS
    ${${PROJECT_NAME}_EXPORTED_TARGETS}
    ${catkin_EXPORTED_TARGETS}
    )

#############
SET( DATASTREAM_SRC
    DataStreamROS/datastream_ROS.cpp
    DataStreamROS/datastream_ROS.h
    ../../include/PlotJuggler/datastreamer_base.h
    )

add_library( DataStreamROS SHARED ${DATASTREAM_SRC} )
target_link_libraries( DataStreamROS  commonROS )

add_dependencies(DataStreamROS
    ${${PROJECT_NAME}_EXPORTED_TARGETS}
    ${catkin_EXPORTED_TARGETS}
    )

#############
SET( PUBLISHER_SRC
    TopicPublisherROS/statepublisher_rostopic.cpp
    TopicPublisherROS/statepublisher_rostopic.h
    ../../include/PlotJuggler/statepublisher_base.h
    )

QT5_WRAP_UI ( PUBLISHER_UI_SRC  )

add_library( RosTopicPublisher SHARED ${PUBLISHER_SRC} ${PUBLISHER_UI_SRC} )
target_link_libraries( RosTopicPublisher  ${catkin_LIBRARIES} commonROS )

#add_dependencies(RosTopicPublisher
#    ${${PROJECT_NAME}_EXPORTED_TARGETS}
#    ${catkin_EXPORTED_TARGETS}
#    )

#############
SET( ROSOUT_SRC
    RosoutPublisher/rosout_publisher.cpp
    RosoutPublisher/rosout_publisher.h
    RosoutPublisher/logs_table_model.cpp
    RosoutPublisher/logwidget.cpp
    RosoutPublisher/modelfilter.cpp
    ../../include/PlotJuggler/statepublisher_base.h
    )

QT5_WRAP_UI ( ROSOUT_UI RosoutPublisher/logwidget.ui )

add_library( RosoutPublisher SHARED ${ROSOUT_SRC}  ${ROSOUT_UI})
target_link_libraries( RosoutPublisher  ${catkin_LIBRARIES} commonROS )

add_dependencies(RosoutPublisher
    ${${PROJECT_NAME}_EXPORTED_TARGETS}
    ${catkin_EXPORTED_TARGETS}
    )

if(COMPILING_WITH_CATKIN)
    install(TARGETS DataLoadROS  DataStreamROS  RosTopicPublisher  RosoutPublisher
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        )
elseif()
    install(TARGETS DataLoadROS  DataStreamROS RosTopicPublisher RosoutPublisher
        DESTINATION bin  )
endif()

=== qwt/src/CMakeLists.txt ===

#add_definitions( -DUSE_OPENGL )

include_directories( ./  )

set( QWT_SRC
    qwt.h
    qwt_abstract_scale_draw.h
    qwt_bezier.h
    qwt_clipper.h
    qwt_color_map.h
    qwt_compat.h
    qwt_column_symbol.h
    qwt_date.h
    qwt_date_scale_draw.h
    qwt_date_scale_engine.h
    qwt_dyngrid_layout.h
    qwt_global.h
    qwt_graphic.h
    qwt_interval.h
    qwt_interval_symbol.h
    qwt_math.h
    qwt_magnifier.h
    qwt_null_paintdevice.h
    qwt_painter.h
    qwt_painter_command.h
    qwt_panner.h
    qwt_picker.h
    qwt_picker_machine.h
    qwt_pixel_matrix.h
    qwt_point_3d.h
    qwt_point_polar.h
    qwt_round_scale_draw.h
    qwt_scale_div.h
    qwt_scale_draw.h
    qwt_scale_engine.h
    qwt_scale_map.h
    qwt_spline_approximation.h
    qwt_spline_basis.h
    qwt_spline.h
    qwt_spline_parametrization.h
    qwt_spline_local.h
    qwt_spline_cubic.h
    qwt_spline_pleasing.h
    qwt_spline_polynomial.h
    qwt_symbol.h
    qwt_system_clock.h
    qwt_text_engine.h
    qwt_text_label.h
    qwt_text.h
    qwt_transform.h
    qwt_widget_overlay.h

    qwt_curve_fitter.h
    qwt_spline_curve_fitter.h
    qwt_weeding_curve_fitter.h
    qwt_event_pattern.h
    qwt_abstract_legend.h
    qwt_legend.h
    qwt_legend_data.h
    qwt_legend_label.h
    qwt_plot.h
    qwt_plot_renderer.h
    qwt_plot_curve.h
    qwt_plot_dict.h
    qwt_plot_directpainter.h
    qwt_plot_grid.h
    qwt_plot_histogram.h
    qwt_plot_item.h
    qwt_plot_abstract_barchart.h
    qwt_plot_barchart.h
    qwt_plot_multi_barchart.h
    qwt_plot_intervalcurve.h
    qwt_plot_tradingcurve.h
    qwt_plot_layout.h
    qwt_plot_marker.h
    qwt_plot_zoneitem.h
    qwt_plot_textlabel.h
    qwt_plot_rasteritem.h
    qwt_plot_spectrogram.h
    qwt_plot_spectrocurve.h
    qwt_plot_scaleitem.h
    qwt_plot_legenditem.h
    qwt_plot_seriesitem.h
    qwt_plot_shapeitem.h
    qwt_plot_abstract_canvas.h
    qwt_plot_canvas.h
    qwt_plot_panner.h
    qwt_plot_picker.h
    qwt_plot_zoomer.h
    qwt_plot_magnifier.h
    qwt_plot_rescaler.h
    qwt_point_mapper.h
    qwt_raster_data.h
    qwt_matrix_raster_data.h
    qwt_sampling_thread.h
    qwt_samples.h
    qwt_series_data.h
    qwt_series_store.h
    qwt_point_data.h
    qwt_scale_widget.h

    qwt_curve_fitter.cpp
    qwt_bezier.cpp
    qwt_spline_curve_fitter.cpp
    qwt_weeding_curve_fitter.cpp
    qwt_abstract_legend.cpp
    qwt_legend.cpp
    qwt_legend_data.cpp
    qwt_legend_label.cpp
    qwt_plot.cpp
    qwt_plot_renderer.cpp
    qwt_plot_xml.cpp
    qwt_plot_axis.cpp
    qwt_plot_curve.cpp
    qwt_plot_dict.cpp
    qwt_plot_directpainter.cpp
    qwt_plot_grid.cpp
    qwt_plot_histogram.cpp
    qwt_plot_item.cpp
    qwt_plot_abstract_barchart.cpp
    qwt_plot_barchart.cpp
    qwt_plot_multi_barchart.cpp
    qwt_plot_intervalcurve.cpp
    qwt_plot_zoneitem.cpp
    qwt_plot_tradingcurve.cpp
    qwt_plot_spectrogram.cpp
    qwt_plot_spectrocurve.cpp
    qwt_plot_scaleitem.cpp
    qwt_plot_legenditem.cpp
    qwt_plot_seriesitem.cpp
    qwt_plot_shapeitem.cpp
    qwt_plot_marker.cpp
    qwt_plot_textlabel.cpp
    qwt_plot_layout.cpp
    qwt_plot_abstract_canvas.cpp
    qwt_plot_canvas.cpp
    qwt_plot_panner.cpp
    qwt_plot_rasteritem.cpp
    qwt_plot_picker.cpp
    qwt_plot_zoomer.cpp
    qwt_plot_magnifier.cpp
    qwt_plot_rescaler.cpp
    qwt_point_mapper.cpp
    qwt_raster_data.cpp
    qwt_matrix_raster_data.cpp
    qwt_sampling_thread.cpp
    qwt_series_data.cpp
    qwt_point_data.cpp
    qwt_scale_widget.cpp
    qwt_abstract_scale_draw.cpp
    qwt_clipper.cpp
    qwt_color_map.cpp
    qwt_column_symbol.cpp
    qwt_date.cpp
    qwt_date_scale_draw.cpp
    qwt_date_scale_engine.cpp
    qwt_dyngrid_layout.cpp
    qwt_event_pattern.cpp
    qwt_graphic.cpp
    qwt_interval.cpp
    qwt_interval_symbol.cpp
    qwt_math.cpp
    qwt_magnifier.cpp
    qwt_null_paintdevice.cpp
    qwt_painter.cpp
    qwt_painter_command.cpp
    qwt_panner.cpp
    qwt_picker.cpp
    qwt_picker_machine.cpp
    qwt_pixel_matrix.cpp
    qwt_point_3d.cpp
    qwt_point_polar.cpp
    qwt_round_scale_draw.cpp
    qwt_scale_div.cpp
    qwt_scale_draw.cpp
    qwt_scale_map.cpp
    qwt_scale_engine.cpp
    qwt_spline_approximation.cpp
    qwt_spline_basis.cpp
    qwt_spline.cpp
    qwt_spline_parametrization.cpp
    qwt_spline_local.cpp
    qwt_spline_cubic.cpp
    qwt_spline_pleasing.cpp
    qwt_symbol.cpp
    qwt_system_clock.cpp
    qwt_text_engine.cpp
    qwt_text_label.cpp
    qwt_text.cpp
    qwt_transform.cpp
    qwt_widget_overlay.cpp

    #qwt_plot_glcanvas.h
    #qwt_plot_glcanvas.cpp

    #qwt_plot_opengl_canvas.h
    #qwt_plot_opengl_canvas.cpp
    )

add_library(qwt_static STATIC ${QWT_SRC})

target_link_libraries(qwt_static
        ${Qt5Widgets_LIBRARIES}
        ${Qt5PrintSupport_LIBRARIES}
        ${Qt5Concurrent_LIBRARIES}
        )

=== debian/changelog ===
ros-lunar-plotjuggler (2.1.10-0stretch) stretch; urgency=high

  * critical bug fixed in CustomFunctions
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 28 Mar 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.1.9-0stretch) stretch; urgency=high

  * QwtRescaler replaced
  * fix issues related to #118 (PlotZoom)
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 24 Mar 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.1.8-0stretch) stretch; urgency=high

  * bug fixes
  * xy equal scaling seems to work
  * Super fancy Video cheatsheet (#164)
  * better date display
  * Fix issue #161 and remember last directory used
  * mainwindow - use yyyy-MM-dd_HH-mm-ss name when saving a plot as png. This allows to save several times without having to rename the previous image (#162)
  * Contributors: Davide Faconti, bresch

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 23 Mar 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.1.7-0stretch) stretch; urgency=high

  * Date time visualization on X axis
  * fix slow PLAY when rendering takes more than 20 msec
  * new way to zoom a single axis (issues #153 and #135)
  * Inverted mouse wheel zoom #153
  * On MacOS there are several mime formats generated in addition to "curveslist", this fix will keep curves array with names collected instead of resetting it for each new mime format. (#159)
  * ulog_parser: fixed parsing of array topics (#157)
    Signed-off-by: Roman <mailto:bapstroman@gmail.com>
  * fis issue  #156 : catch expections
  * remember if the state of _action_clearBuffer
  * QSettings cleanups
  * Contributors: Alexey Zaparovanny, Davide Faconti, Roman Bapst

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 19 Mar 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.1.6-0stretch) stretch; urgency=high

  * removed obsolate question
  * remember RemoveTimeOffset state
  * add clear buffer from data stream
  * reject non valid data
  * fix sorting in ULog messages
  * Fix Ulog window
  * ulog plugin improved
  * Update .appveyor.yml
  * yes, I am sure I want to Quit
  * simplifications in RosoutPublisher
  * better double click behavior in FunctionEditor
  * adding Info and parameters
  * big refactoring of ulog parser. Fix issue #151
  * download links updated
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 06 Mar 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.1.5-0stretch) stretch; urgency=high

  * reintroducing timestamp from header
  * added way to create installer
  * disable zooming during streaming and reset tracker when new file loaded
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 24 Feb 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.1.4-0stretch) stretch; urgency=high

  * Fix issues #146: ULog and multiple instances of a message
  * close issue #138
  * remove svg dependency
  * Appveyor fixed (#144)
  * fancy menubar
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 20 Feb 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.1.3-0stretch) stretch; urgency=high

  * BUG: fixed issue with Customtracker when the plot is zoomed
  * new icons
  * ULog plugin added
  * Allow to build the DataStreamClientSample on Linux (#143)
  * Update README.md
  * Contributors: Davide Faconti, Romain Reignier

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 17 Feb 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.1.2-0stretch) stretch; urgency=high

  * legend button now has three states: left/right/hide
  * replace tracker text when position is on the right side
  * allow again to use the header.stamp
  * fix problem with legend visibility
  * Save all tab plots as images in a folder. (#137)
  * Make default filename for tab image the tab name (#136)
  * Update README.md
  * adding instructions to build AppImage
  * Contributors: Davide Faconti, d-walsh

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 12 Feb 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.1.1-0stretch) stretch; urgency=high

  * Added filter to function editor
  * ask for support
  * cleanup
  * fix issue with Datetime and cheatsheet dialog
  * further stylesheet refinements
  * fixing visualization of fucntion editor dialog
  * fixing html of cheatsheet
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 06 Feb 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.1.0-0stretch) stretch; urgency=high

  * minor change
  * stylesheet fix
  * Cheatsheet added
  * fixing style
  * improved magnifier ( issue #135)
  * added zoom max
  * Contributors: Davide Facont, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 06 Feb 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.0.7-0stretch) stretch; urgency=high

  * fix for dark layout
  * fix issue with edited function transforms
  * about dialog updated
  * added more key shortcuts
  * reverted behaviour of Dialog "delete previous curves"?
  * fix glitches related to drag and drop
  * update timeSlider more often
  * play seems to work properly for both sim_time and rewritten timestamps
  * play button added
  * clock published
  * remove timestamp modifier
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 05 Feb 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.0.5-0stretch) stretch; urgency=high

  * fix problem in build farm
  * bug fix plot XY
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 04 Feb 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.0.4-0stretch) stretch; urgency=high

  * add parent to message boxes
  * ask confirmation at closeEvent()
  * fix problem with selection of second column
  * fix issue 132
  * simplification
  * minor bug fixed in filter of StatePublisher
  * Contributors: Davide Facont, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 28 Jan 2019 23:00:00 -0000

ros-lunar-plotjuggler (2.0.3-0stretch) stretch; urgency=high



=== debian/control ===
Source: ros-lunar-plotjuggler
Section: misc
Priority: extra
Maintainer: Davide Faconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), binutils-dev, qtbase5-dev, qtdeclarative5-dev, qtmultimedia5-dev, ros-lunar-catkin, ros-lunar-ros-type-introspection, ros-lunar-rosbag, ros-lunar-rosbag-storage, ros-lunar-roscpp, ros-lunar-roscpp-serialization, ros-lunar-rostime, ros-lunar-tf, ros-lunar-topic-tools
Homepage: https://github.com/facontidavide/PlotJuggler
Standards-Version: 3.9.2

Package: ros-lunar-plotjuggler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-dev, qtbase5-dev, qtdeclarative5-dev, qtmultimedia5-dev, ros-lunar-ros-type-introspection, ros-lunar-rosbag, ros-lunar-rosbag-storage, ros-lunar-roscpp, ros-lunar-roscpp-serialization, ros-lunar-rostime, ros-lunar-tf, ros-lunar-topic-tools
Description: PlotJuggler: juggle with data

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-plotjuggler//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
